import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatResourceTypeListComponent } from './heat-resource-type-list.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';

describe('HeatResourceTypeListComponent', () => {
  let component: HeatResourceTypeListComponent;
  let fixture: ComponentFixture<HeatResourceTypeListComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HeatResourceTypeListComponent],
      imports: [HttpClientTestingModule, RouterTestingModule,],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatResourceTypeListComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
